#include <Servo.h>

Servo left;
Servo right;

int val=0;//storage for left read
int val1=0;//for right
int val2=0;//for turn off bump read
int val3=0;//for human read
int val4=0;//for frog read

int ctr=1;//look for human counter
int valm=0;
int valm1=0;
int k;//loop value
int blink=0;//blink counter
int pause=0;//rest counter

const int power=6;//power for servo eyes
const int leftcolor=7;//left color input
const int rightcolor=10;//right color input
int analogPin=3;//read from pir sensor
int antenna=1;//human read assignment

const int mid=0;
const int smile=1;
const int frown=2;

const int pwmA=3;
const int pwmB=11;
const int brakeA=9;
const int brakeB=8;
const int dirA=12;
const int dirB=13;
const int frog=A4;
int restart=0;//delay coming out of nsew




void setup() {

  pinMode(mid, OUTPUT);
  pinMode(smile, OUTPUT);
  pinMode(frown, OUTPUT);
pinMode(power,OUTPUT);
pinMode(leftcolor,INPUT);//left input
pinMode(rightcolor,INPUT);//right input
pinMode(frog,INPUT);//frog found input
  
  digitalWrite(mid,HIGH);
  digitalWrite(smile,HIGH);
  digitalWrite(frown,LOW);
  digitalWrite(power,LOW);
  //digitalWrite(relay,LOW);//set sound low

  left.attach(4);//eyeball control pins
  right.attach(5);
  left.write(110);//open eyes
  right.write(145);

pinMode(dirA, OUTPUT);
pinMode(brakeA, OUTPUT);

pinMode(dirB, OUTPUT);
pinMode(brakeB, OUTPUT);

//pinMode(north, INPUT);
//pinMode(south, INPUT);
//pinMode(east,INPUT);
//pinMode(west, INPUT);


digitalWrite(dirA, HIGH);//forward A
digitalWrite(brakeA, LOW);//release brake A
analogWrite(pwmA, 255);//full speed A

digitalWrite(dirB, HIGH);
digitalWrite(brakeB, LOW);
analogWrite(pwmB, 255);

delay(1000);//get past startup current
}

void loop() {

digitalWrite(dirA, HIGH);//forward A
digitalWrite(brakeA, LOW);//release brake A
analogWrite(pwmA, 255);//full speed A

digitalWrite(dirB, HIGH);
digitalWrite(brakeB, LOW);
analogWrite(pwmB, 255);

val4=digitalRead(frog);//check if frog seen
if (val4==HIGH) {
  analogWrite(pwmA,0);//stop for frog
  analogWrite(pwmB,0);
  delay(11000);//wait for frog to get out of way
  val4=digitalRead(frog);//is frog still there
  if (val4==HIGH) {//turn away from frog
digitalWrite(dirA, LOW);//forward A
digitalWrite(brakeA, LOW);//release brake A
analogWrite(pwmA, 255);//full speed A

digitalWrite(dirB, HIGH);
digitalWrite(brakeB, LOW);
analogWrite(pwmB, 255);

delay(1000);//then start forward
  }

digitalWrite(dirA, HIGH);//forward A
digitalWrite(brakeA, LOW);//release brake A
analogWrite(pwmA, 255);//full speed A

digitalWrite(dirB, HIGH);
digitalWrite(brakeB, LOW);
analogWrite(pwmB, 255);

delay(1000);//get past startup current
  }


    
  


if (restart==1) {//delay coming out of nsew
  delay(1000);
  restart=0;
}


blink=blink+1;
if (blink>30000) {

 
digitalWrite(power,HIGH);
  left.write(70);
  right.write(100);
  delay(500);
  left.write(110);
  right.write(145);
  delay(300);//delay for servo to get in place
  
  digitalWrite(power,LOW);
  blink=0;
}



valm=analogRead(0);
valm1=analogRead(1);
if(val2==1) {
  valm=20;
  valm1=20;
  val2=0;
  
}
if(valm>80 or valm1>80) {//read once
  delay(50);
  valm=analogRead(0);
  valm1=analogRead(1);
  if(valm>85 or valm1>85) //read again


{

  pause=0;//reset rest counter
digitalWrite(smile,LOW);
  digitalWrite(mid,HIGH);
  digitalWrite(frown,HIGH);

digitalWrite(brakeA, HIGH);
digitalWrite(brakeB, HIGH);

digitalWrite(dirA, LOW);//forward A
digitalWrite(brakeA, LOW);//release brake A
analogWrite(pwmA, 255);//full speed A

digitalWrite(dirB, LOW);
digitalWrite(brakeB, LOW);
analogWrite(pwmB, 255);

delay(1000);

digitalWrite(brakeA, HIGH);//stop one wheel
digitalWrite(dirA, HIGH);//forward A--new code to move more
digitalWrite(brakeA, LOW);//release brake A
analogWrite(pwmA, 255);//full speed A



delay(1000);
digitalWrite(brakeA,HIGH);//new code
digitalWrite(brakeB, HIGH);//stop other wheel



//start both wheels forward

digitalWrite(frown,LOW);
digitalWrite(smile,HIGH);

digitalWrite(dirA, HIGH);//forward A
digitalWrite(brakeA, LOW);//release brake A
analogWrite(pwmA, 255);//full speed A

digitalWrite(dirB, HIGH);
digitalWrite(brakeB, LOW);
analogWrite(pwmB, 255);
pause=0;//reset rest counter

delay(1000);//get past startup current



}}

val=digitalRead(leftcolor);
val1=digitalRead(rightcolor);

if(val==1) {
  analogWrite(pwmB,25);
  delay(300);
  val2=1;
  val=digitalRead(leftcolor);
  val1=digitalRead(rightcolor);
  if (val==0 & val1==0) {
    delay(50);//delay and make sure color is gone
    val=digitalRead(leftcolor);
    val1=digitalRead(rightcolor);
    if (val==0 & val1==0) {
    restart=1;
    }
  }
  }

if (val1==1) {
  analogWrite(pwmA,25);
  delay(300);
  val2=1;
  val=digitalRead(leftcolor);
  val1=digitalRead(rightcolor);
  if (val==0 & val1==0) {
delay(50);//delay and make sure color is gone
    val=digitalRead(leftcolor);
    val1=digitalRead(rightcolor);
    if (val==0 & val1==0) {
    restart=1;
    }
    
    restart=1;
  }
}
}






